<div class="wrap">
	
	<h1>Space Content</h1>

	<form method="post">
		<p><label for="scwebpubid"><?php echo __("Insert here the PUBID of your web. You will find it on Space Content, under 'My Webs'", 'wp-spacecontent'); ?></label></p>
		<p><input name="scwebpubid" type="text" id="scwebpubid" value="<?php echo $scwebpubid; ?>" class="regular-text"></p>
		<input type="submit" name="submit" id="submit" class="button button-primary">
	</form>

	<?php if( $web ) : ?>

		<div class="sc-dash">

			<div class="row">

				<div class="sc-dash-col-2">

					<div class="card">
						<h2><span class="dashicons dashicons-info"></span> <?php echo esc_html($web['name']); ?></h2>
						<p><?php echo nl2br( esc_html($web['description']) ); ?></p>
						<hr>
						<?php echo __('Public link', 'wp-spacecontent'); ?><br>
						<span class="dashicons dashicons-external"></span> <a href="https://spacecontent.net/w/web/<?php echo $web['pub_url']; ?>" target="_blank">
							https://spacecontent.net/<?php echo $lang; ?>/web/<?php echo $web['pub_url']; ?>
						</a>
					</div>			

				</div>

				<div class="sc-dash-col-2 sc-last">

					<?php if( $inbox ) : ?>
						<div class="card">
						<h2><span class="dashicons dashicons-email"></span> <?php echo __('Inbox', 'wp-spacecontent'); ?></h2>
						<?php foreach($inbox as $msg ) : ?>
							<span class="dashicons dashicons-external"></span> 
							<a href="<?php echo esc_html($msg['link']); ?>" >
								<?php echo esc_html($msg['body']); ?></a>
							<hr>
						<?php endforeach; ?>
						</div>
					<?php endif; ?>		

				</div>

			</div>

			<div class="sc-clear"></div>

			<?php if( $posts ) : ?>
			<div class="row">

				<div class="sc-card">
				<h2><span class="dashicons dashicons-clipboard"></span> <?php echo __('Sponsored Posts', 'wp-spacecontent'); ?></h2>
				<?php foreach($posts as $post ) : ?>
					<div>
						<span class="dashicons dashicons-external"></span> 
						<a href="https://spacecontent.net/<?php echo esc_html($post['language']); ?>/pub/sponsoredpost/<?php echo esc_html($post['id']); ?>">
							<?php echo esc_html($post['name']); ?>	
						</a>
						<div class="sc-post-description">
							<?php sc_echo_html($post['description']); ?>
						</div>
					</div>
					<hr>
				<?php endforeach; ?>
				</div>

			</div>
			<?php endif; ?>

		</div>

	<?php endif; ?>


</div>